# About these modules

There are currently two default content modules.

- `drupalorg_test_content` is for local testing of CSS, JS and other site features.

You may install both modules, though that is not recommended.

## Test content

The test content is meant to be representative of common pages on drupal.org.

We create test blocks, nodes, taxonomy terms, media, and files in order to allow developers to test site functionality.

To install test content, run `ddev drush en drupalorg_test_content -y` then run `ddev drush pmu default_content -y`

For ease of use, these commands may be added to a script in the main project's `composer.json` file.

For example, on the drupal.org main project these steps are run using `composer test-content`.

## Exporting content

First, enable `default_content` module with `ddev drush en default_content`

Export content with Drush, using `ddev drush dcer`.

When you export content, you can optionally specify the entity type, entity id, and output location.

The `dcer` command will auto-export any referenced entities with your output.

### Examples

- Export all un-exported nodes
  - `ddev drush dcer node`
- Export a specific node
  - `ddev drush dcer node 10`
- Export node 10 to the `drupalorg_test_content` module
  - `ddev drush dcer node 10 --folder=modules/contrib/drupalorg/modules/drupalorg_test_content/content`

The folder path is complex, so you can assume the --folder by running the provided composer command.

- `composer dcer node`
- `composer dcer node 10`

#### Notes

- When creating test content it is best to add a URL alias. Node ids are variable on import, so automated tests will fail without aliases.
- Passing just the entity type will export new content only.
- Embedding media in a text field will not export.
- Exporting comments does not work as expected. See https://www.drupal.org/project/default_content/issues/3185327
- The Issues content type will be replaced by GitLab issues.
- The new Contribution records content type will store issue records.

