<?php

namespace Drupal\drupalorg\Utilities;

use Drupal\drupalorg\Traits\GitLabClientTrait;
use Gitlab\Client;

/**
 * Class that uses the GitLabClientTrait, to use on a non-class context.
 *
 * Useful if you need to call the trait methods from a ".module" file.
 * Do not add additional logic here, do it in the trait. This class can be used
 * to expose properties or methods, but no complex logic.
 */
final class GitLabClientHelper {

  use GitLabClientTrait;

  /**
   * Return a gitlab client instance.
   *
   * @return \Gitlab\Client
   *   Client instance.
   */
  public function client(): Client {
    return $this->getGitLabClient();
  }

}
